.preloader {
	top: 0;
	left: 0;
	z-index: 99999;
	position: fixed;
	height: 100%;
	width: 100%;
	text-align: center;
	background: #fff;
}
.preloader-logo,
.preloader-preview-area {
	top: 55%;
}
.preloader-preview-area {
	-webkit-animation-delay: -0.2s;
	animation-delay: -0.2s;
	-webkit-transform: translateY(100%);
	-ms-transform: translateY(100%);
	transform: translateY(100%);
	margin-top: 10px;
	width: 100%;
	text-align: center;
	position: absolute;
}
.preloader-logo {
	max-width: 100%;
	-webkit-transform: translateY(-100%);
	-ms-transform: translateY(-100%);
	transform: translateY(-100%);
	margin: -10px auto 0;
	position: relative;
}
.ball-pulse > div,
.ball-scale > div,
.line-scale > div {
	margin: 2px;
	display: inline-block;
	background: #8e2d56;
}
.ball-pulse > div {
	width: 15px;
	height: 15px;
	border-radius: 100%;
	-webkit-animation: ball-pulse 0.75s infinite
		cubic-bezier(0.2, 0.68, 0.18, 1.08);
	animation: ball-pulse 0.75s infinite cubic-bezier(0.2, 0.68, 0.18, 1.08);
}
.ball-pulse > div:nth-child(1) {
	-webkit-animation-delay: -0.36s;
	animation-delay: -0.36s;
}
.ball-pulse > div:nth-child(2) {
	-webkit-animation-delay: -0.24s;
	animation-delay: -0.24s;
}
.ball-pulse > div:nth-child(3) {
	-webkit-animation-delay: -0.12s;
	animation-delay: -0.12s;
}
@-webkit-keyframes ball-pulse {
	0%,
	80% {
		-webkit-transform: scale(1);
		transform: scale(1);
		opacity: 1;
	}
	45% {
		-webkit-transform: scale(0.1);
		transform: scale(0.1);
		opacity: 0.7;
	}
}
@keyframes ball-pulse {
	0%,
	80% {
		-webkit-transform: scale(1);
		transform: scale(1);
		opacity: 1;
	}
	45% {
		-webkit-transform: scale(0.1);
		transform: scale(0.1);
		opacity: 0.7;
	}
}
.ball-clip-rotate-pulse {
	position: relative;
	-webkit-transform: translateY(-15px);
	-ms-transform: translateY(-15px);
	transform: translateY(-15px);
	display: inline-block;
}
.ball-clip-rotate-pulse > div {
	-webkit-animation-fill-mode: both;
	animation-fill-mode: both;
	position: absolute;
	top: 0;
	left: 0;
	border-radius: 100%;
}
.ball-clip-rotate-pulse > div:first-child {
	height: 36px;
	width: 36px;
	top: 7px;
	left: -7px;
	-webkit-animation: ball-clip-rotate-pulse-scale 1s 0s
		cubic-bezier(0.09, 0.57, 0.49, 0.9) infinite;
	animation: ball-clip-rotate-pulse-scale 1s 0s
		cubic-bezier(0.09, 0.57, 0.49, 0.9) infinite;
}
.ball-clip-rotate-pulse > div:last-child {
	position: absolute;
	width: 50px;
	height: 50px;
	left: -16px;
	top: -2px;
	background: 0 0;
	border: 2px solid;
	-webkit-animation: ball-clip-rotate-pulse-rotate 1s 0s
		cubic-bezier(0.09, 0.57, 0.49, 0.9) infinite;
	animation: ball-clip-rotate-pulse-rotate 1s 0s
		cubic-bezier(0.09, 0.57, 0.49, 0.9) infinite;
	-webkit-animation-duration: 1s;
	animation-duration: 1s;
}
@-webkit-keyframes ball-clip-rotate-pulse-rotate {
	0% {
		-webkit-transform: rotate(0) scale(1);
		transform: rotate(0) scale(1);
	}
	50% {
		-webkit-transform: rotate(180deg) scale(0.6);
		transform: rotate(180deg) scale(0.6);
	}
	100% {
		-webkit-transform: rotate(360deg) scale(1);
		transform: rotate(360deg) scale(1);
	}
}
@keyframes ball-clip-rotate-pulse-rotate {
	0% {
		-webkit-transform: rotate(0) scale(1);
		transform: rotate(0) scale(1);
	}
	50% {
		-webkit-transform: rotate(180deg) scale(0.6);
		transform: rotate(180deg) scale(0.6);
	}
	100% {
		-webkit-transform: rotate(360deg) scale(1);
		transform: rotate(360deg) scale(1);
	}
}
@-webkit-keyframes ball-clip-rotate-pulse-scale {
	30% {
		-webkit-transform: scale(0.3);
		transform: scale(0.3);
	}
	100% {
		-webkit-transform: scale(1);
		transform: scale(1);
	}
}
@keyframes ball-clip-rotate-pulse-scale {
	30% {
		-webkit-transform: scale(0.3);
		transform: scale(0.3);
	}
	100% {
		-webkit-transform: scale(1);
		transform: scale(1);
	}
}
@-webkit-keyframes square-spin {
	25% {
		-webkit-transform: perspective(100px) rotateX(180deg) rotateY(0);
		transform: perspective(100px) rotateX(180deg) rotateY(0);
	}
	50% {
		-webkit-transform: perspective(100px) rotateX(180deg) rotateY(180deg);
		transform: perspective(100px) rotateX(180deg) rotateY(180deg);
	}
	75% {
		-webkit-transform: perspective(100px) rotateX(0) rotateY(180deg);
		transform: perspective(100px) rotateX(0) rotateY(180deg);
	}
	100% {
		-webkit-transform: perspective(100px) rotateX(0) rotateY(0);
		transform: perspective(100px) rotateX(0) rotateY(0);
	}
}
@keyframes square-spin {
	25% {
		-webkit-transform: perspective(100px) rotateX(180deg) rotateY(0);
		transform: perspective(100px) rotateX(180deg) rotateY(0);
	}
	50% {
		-webkit-transform: perspective(100px) rotateX(180deg) rotateY(180deg);
		transform: perspective(100px) rotateX(180deg) rotateY(180deg);
	}
	75% {
		-webkit-transform: perspective(100px) rotateX(0) rotateY(180deg);
		transform: perspective(100px) rotateX(0) rotateY(180deg);
	}
	100% {
		-webkit-transform: perspective(100px) rotateX(0) rotateY(0);
		transform: perspective(100px) rotateX(0) rotateY(0);
	}
}
.square-spin {
	display: inline-block;
}
.square-spin > div {
	width: 50px;
	height: 50px;
	-webkit-animation: square-spin 3s 0s cubic-bezier(0.09, 0.57, 0.49, 0.9)
		infinite;
	animation: square-spin 3s 0s cubic-bezier(0.09, 0.57, 0.49, 0.9) infinite;
}
.cube-transition {
	position: relative;
	-webkit-transform: translate(-25px, -25px);
	-ms-transform: translate(-25px, -25px);
	transform: translate(-25px, -25px);
	display: inline-block;
}
.cube-transition > div {
	width: 15px;
	height: 15px;
	position: absolute;
	top: -5px;
	left: -5px;
	-webkit-animation: cube-transition 1.6s 0s infinite ease-in-out;
	animation: cube-transition 1.6s 0s infinite ease-in-out;
}
.cube-transition > div:last-child {
	-webkit-animation-delay: -0.8s;
	animation-delay: -0.8s;
}
@-webkit-keyframes cube-transition {
	25% {
		-webkit-transform: translateX(50px) scale(0.5) rotate(-90deg);
		transform: translateX(50px) scale(0.5) rotate(-90deg);
	}
	50% {
		-webkit-transform: translate(50px, 50px) rotate(-180deg);
		transform: translate(50px, 50px) rotate(-180deg);
	}
	75% {
		-webkit-transform: translateY(50px) scale(0.5) rotate(-270deg);
		transform: translateY(50px) scale(0.5) rotate(-270deg);
	}
	100% {
		-webkit-transform: rotate(-360deg);
		transform: rotate(-360deg);
	}
}
@keyframes cube-transition {
	25% {
		-webkit-transform: translateX(50px) scale(0.5) rotate(-90deg);
		transform: translateX(50px) scale(0.5) rotate(-90deg);
	}
	50% {
		-webkit-transform: translate(50px, 50px) rotate(-180deg);
		transform: translate(50px, 50px) rotate(-180deg);
	}
	75% {
		-webkit-transform: translateY(50px) scale(0.5) rotate(-270deg);
		transform: translateY(50px) scale(0.5) rotate(-270deg);
	}
	100% {
		-webkit-transform: rotate(-360deg);
		transform: rotate(-360deg);
	}
}
.ball-scale > div {
	border-radius: 100%;
	height: 60px;
	width: 60px;
	-webkit-animation: ball-scale 1s 0s ease-in-out infinite;
	animation: ball-scale 1s 0s ease-in-out infinite;
}
@-webkit-keyframes ball-scale {
	0% {
		-webkit-transform: scale(0);
		transform: scale(0);
	}
	100% {
		-webkit-transform: scale(1);
		transform: scale(1);
		opacity: 0;
	}
}
@keyframes ball-scale {
	0% {
		-webkit-transform: scale(0);
		transform: scale(0);
	}
	100% {
		-webkit-transform: scale(1);
		transform: scale(1);
		opacity: 0;
	}
}
.line-scale > div {
	-webkit-animation-fill-mode: both;
	animation-fill-mode: both;
	width: 5px;
	height: 50px;
	border-radius: 2px;
}
.line-scale > div:nth-child(1) {
	-webkit-animation: line-scale 1s -0.5s infinite cubic-bezier(0.2, 0.68, 0.18, 1.08);
	animation: line-scale 1s -0.5s infinite cubic-bezier(0.2, 0.68, 0.18, 1.08);
}
.line-scale > div:nth-child(2) {
	-webkit-animation: line-scale 1s -0.4s infinite cubic-bezier(0.2, 0.68, 0.18, 1.08);
	animation: line-scale 1s -0.4s infinite cubic-bezier(0.2, 0.68, 0.18, 1.08);
}
.line-scale > div:nth-child(3) {
	-webkit-animation: line-scale 1s -0.3s infinite cubic-bezier(0.2, 0.68, 0.18, 1.08);
	animation: line-scale 1s -0.3s infinite cubic-bezier(0.2, 0.68, 0.18, 1.08);
}
.line-scale > div:nth-child(4) {
	-webkit-animation: line-scale 1s -0.2s infinite cubic-bezier(0.2, 0.68, 0.18, 1.08);
	animation: line-scale 1s -0.2s infinite cubic-bezier(0.2, 0.68, 0.18, 1.08);
}
.line-scale > div:nth-child(5) {
	-webkit-animation: line-scale 1s -0.1s infinite cubic-bezier(0.2, 0.68, 0.18, 1.08);
	animation: line-scale 1s -0.1s infinite cubic-bezier(0.2, 0.68, 0.18, 1.08);
}
@-webkit-keyframes line-scale {
	0%,
	100% {
		-webkit-transform: scaley(1);
		transform: scaley(1);
	}
	50% {
		-webkit-transform: scaley(0.4);
		transform: scaley(0.4);
	}
}
@keyframes line-scale {
	0%,
	100% {
		-webkit-transform: scaley(1);
		transform: scaley(1);
	}
	50% {
		-webkit-transform: scaley(0.4);
		transform: scaley(0.4);
	}
}
.ball-scale-multiple {
	position: relative;
	-webkit-transform: translateY(30px);
	-ms-transform: translateY(30px);
	transform: translateY(30px);
	display: inline-block;
}
.ball-scale-multiple > div {
	border-radius: 100%;
	position: absolute;
	left: -30px;
	top: 0;
	opacity: 0;
	margin: 0;
	width: 50px;
	height: 50px;
	-webkit-animation: ball-scale-multiple 1s 0s linear infinite;
	animation: ball-scale-multiple 1s 0s linear infinite;
}
.ball-scale-multiple > div:nth-child(2),
.ball-scale-multiple > div:nth-child(3) {
	-webkit-animation-delay: -0.2s;
	animation-delay: -0.2s;
}
@-webkit-keyframes ball-scale-multiple {
	0% {
		-webkit-transform: scale(0);
		transform: scale(0);
		opacity: 0;
	}
	5% {
		opacity: 1;
	}
	100% {
		-webkit-transform: scale(1);
		transform: scale(1);
		opacity: 0;
	}
}
@keyframes ball-scale-multiple {
	0% {
		-webkit-transform: scale(0);
		transform: scale(0);
		opacity: 0;
	}
	5% {
		opacity: 1;
	}
	100% {
		-webkit-transform: scale(1);
		transform: scale(1);
		opacity: 0;
	}
}
.ball-pulse-sync {
	display: inline-block;
}
.ball-pulse-sync > div {
	width: 15px;
	height: 15px;
	border-radius: 100%;
	margin: 2px;
	-webkit-animation-fill-mode: both;
	animation-fill-mode: both;
	display: inline-block;
}
.ball-pulse-sync > div:nth-child(1) {
	-webkit-animation: ball-pulse-sync 0.6s -0.21s infinite ease-in-out;
	animation: ball-pulse-sync 0.6s -0.21s infinite ease-in-out;
}
.ball-pulse-sync > div:nth-child(2) {
	-webkit-animation: ball-pulse-sync 0.6s -0.14s infinite ease-in-out;
	animation: ball-pulse-sync 0.6s -0.14s infinite ease-in-out;
}
.ball-pulse-sync > div:nth-child(3) {
	-webkit-animation: ball-pulse-sync 0.6s -70ms infinite ease-in-out;
	animation: ball-pulse-sync 0.6s -70ms infinite ease-in-out;
}
@-webkit-keyframes ball-pulse-sync {
	33% {
		-webkit-transform: translateY(10px);
		transform: translateY(10px);
	}
	66% {
		-webkit-transform: translateY(-10px);
		transform: translateY(-10px);
	}
	100% {
		-webkit-transform: translateY(0);
		transform: translateY(0);
	}
}
@keyframes ball-pulse-sync {
	33% {
		-webkit-transform: translateY(10px);
		transform: translateY(10px);
	}
	66% {
		-webkit-transform: translateY(-10px);
		transform: translateY(-10px);
	}
	100% {
		-webkit-transform: translateY(0);
		transform: translateY(0);
	}
}
.transparent-circle {
	display: inline-block;
	border-top: 0.5em solid rgba(255, 255, 255, 0.2);
	border-right: 0.5em solid rgba(255, 255, 255, 0.2);
	border-bottom: 0.5em solid rgba(255, 255, 255, 0.2);
	border-left: 0.5em solid #fff;
	-webkit-transform: translateZ(0);
	transform: translateZ(0);
	-webkit-animation: transparent-circle 1.1s infinite linear;
	animation: transparent-circle 1.1s infinite linear;
	width: 50px;
	height: 50px;
	border-radius: 50%;
}
.transparent-circle:after {
	border-radius: 50%;
	width: 10em;
	height: 10em;
}
@-webkit-keyframes transparent-circle {
	0% {
		-webkit-transform: rotate(0);
		transform: rotate(0);
	}
	100% {
		-webkit-transform: rotate(360deg);
		transform: rotate(360deg);
	}
}
@keyframes transparent-circle {
	0% {
		-webkit-transform: rotate(0);
		transform: rotate(0);
	}
	100% {
		-webkit-transform: rotate(360deg);
		transform: rotate(360deg);
	}
}
.ball-spin-fade-loader {
	position: relative;
	top: -10px;
	left: -10px;
	display: inline-block;
}
.ball-spin-fade-loader > div {
	width: 15px;
	height: 15px;
	border-radius: 100%;
	margin: 2px;
	position: absolute;
	-webkit-animation: ball-spin-fade-loader 1s infinite linear;
	animation: ball-spin-fade-loader 1s infinite linear;
}
.ball-spin-fade-loader > div:nth-child(1) {
	top: 25px;
	left: 0;
	animation-delay: -0.84s;
	-webkit-animation-delay: -0.84s;
}
.ball-spin-fade-loader > div:nth-child(2) {
	top: 17.05px;
	left: 17.05px;
	animation-delay: -0.72s;
	-webkit-animation-delay: -0.72s;
}
.ball-spin-fade-loader > div:nth-child(3) {
	top: 0;
	left: 25px;
	animation-delay: -0.6s;
	-webkit-animation-delay: -0.6s;
}
.ball-spin-fade-loader > div:nth-child(4) {
	top: -17.05px;
	left: 17.05px;
	animation-delay: -0.48s;
	-webkit-animation-delay: -0.48s;
}
.ball-spin-fade-loader > div:nth-child(5) {
	top: -25px;
	left: 0;
	animation-delay: -0.36s;
	-webkit-animation-delay: -0.36s;
}
.ball-spin-fade-loader > div:nth-child(6) {
	top: -17.05px;
	left: -17.05px;
	animation-delay: -0.24s;
	-webkit-animation-delay: -0.24s;
}
.ball-spin-fade-loader > div:nth-child(7) {
	top: 0;
	left: -25px;
	animation-delay: -0.12s;
	-webkit-animation-delay: -0.12s;
}
.ball-spin-fade-loader > div:nth-child(8) {
	top: 17.05px;
	left: -17.05px;
	animation-delay: 0s;
	-webkit-animation-delay: 0s;
}
@-webkit-keyframes ball-spin-fade-loader {
	50% {
		opacity: 0.3;
		-webkit-transform: scale(0.4);
		transform: scale(0.4);
	}
	100% {
		opacity: 1;
		-webkit-transform: scale(1);
		transform: scale(1);
	}
}
@keyframes ball-spin-fade-loader {
	50% {
		opacity: 0.3;
		-webkit-transform: scale(0.4);
		transform: scale(0.4);
	}
	100% {
		opacity: 1;
		-webkit-transform: scale(1);
		transform: scale(1);
	}
}
